## org.eclipse.emf.cdo.common.util
Class CDOQueryQueue.BlockingCloseableIteratorImpl

    java.lang.Object
      org.eclipse.emf.cdo.common.util.CDOQueryQueue.BlockingCloseableIteratorImpl

All Implemented Interfaces:
  java.util.Iterator<E>, BlockingCloseableIterator<E>, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.collection.CloseableIterator<E>

Enclosing class:
  CDOQueryQueue<E>

    public class CDOQueryQueue.BlockingCloseableIteratorImpl

extends java.lang.Object
implements BlockingCloseableIterator<E>

Since:
  2.0

Constructor Summary
`CDOQueryQueue.BlockingCloseableIteratorImpl()`

Method Summary
`void` `close()`
`boolean` `hasNext()`
`boolean` `isClosed()`
`E` `next()`
`E` `peek()` Non-blocking call.
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOQueryQueue.BlockingCloseableIteratorImpl

    public CDOQueryQueue.BlockingCloseableIteratorImpl()

Method Detail

### peek

    public E peek()

  Description copied from interface: `BlockingCloseableIterator`
  Non-blocking call.

  Specified by:
    `peek` in interface `BlockingCloseableIterator<E>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`

### next

    public E next()

  Specified by:
    `next` in interface `java.util.Iterator<E>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`

### close

    public void close()

  Specified by:
    `close` in interface `org.eclipse.net4j.util.collection.Closeable`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.